# Uses of Class
org.apache.zookeeper.data.Id

Packages that use Id
Package
Description
org.apache.zookeeper
org.apache.zookeeper.data
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.auth
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.util

## Uses of Id in org.apache.zookeeper

Fields in org.apache.zookeeper declared as Id
Modifier and Type
Field
Description
`static final Id`
ZooDefs.Ids.`ANYONE_ID_UNSAFE`
This Id represents anyone.
`static final Id`
ZooDefs.Ids.`AUTH_IDS`
This Id is only usable to set ACLs.

## Uses of Id in org.apache.zookeeper.data

Methods in org.apache.zookeeper.data that return Id
Modifier and Type
Method
Description
`Id`
ACL.`getId()`
Methods in org.apache.zookeeper.data with parameters of type Id
Modifier and Type
Method
Description
`void`
Id.`copyFrom(Id from)`
`void`
ACL.`setId(Id m_)`
Constructors in org.apache.zookeeper.data with parameters of type Id
Modifier
Constructor
Description
``
`ACL(int perms, Id id)`

## Uses of Id in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server with type parameters of type Id
Modifier and Type
Field
Description
`final List<Id>`
Request.`authInfo`
Methods in org.apache.zookeeper.server that return types with arguments of type Id
Modifier and Type
Method
Description
`List<Id>`
ServerCnxn.`getAuthInfo()`
auth info for the cnxn, returns an unmodifyable list
Methods in org.apache.zookeeper.server with parameters of type Id
Modifier and Type
Method
Description
`void`
ServerCnxn.`addAuthInfo(Id id)`
`boolean`
ServerCnxn.`removeAuthInfo(Id id)`
Method parameters in org.apache.zookeeper.server with type arguments of type Id
Modifier and Type
Method
Description
`static List<ACL>`
PrepRequestProcessor.`fixupACL(String path, List<Id> authInfo, List<ACL> acls)`
This method checks out the acl making sure it isn't null or empty, it has valid schemes and ids, and expanding any relative ids that depend on the requestor's authentication information.
Constructor parameters in org.apache.zookeeper.server with type arguments of type Id
Modifier
Constructor
Description
``
`Request(ServerCnxn cnxn, long sessionId, int xid, int type, RequestRecord request, List<Id> authInfo)`

## Uses of Id in org.apache.zookeeper.server.auth

Methods in org.apache.zookeeper.server.auth that return types with arguments of type Id
Modifier and Type
Method
Description
`default List<Id>`
AuthenticationProvider.`handleAuthentication(javax.servlet.http.HttpServletRequest request, byte[] authData)`
This method is called when admin server command passes authentication data for this scheme.
`List<Id>`
DigestAuthenticationProvider.`handleAuthentication(javax.servlet.http.HttpServletRequest request, byte[] authData)`
`List<Id>`
IPAuthenticationProvider.`handleAuthentication(javax.servlet.http.HttpServletRequest request, byte[] authData)`
`List<Id>`
X509AuthenticationProvider.`handleAuthentication(javax.servlet.http.HttpServletRequest request, byte[] authData)`

## Uses of Id in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return types with arguments of type Id
Modifier and Type
Method
Description
`List<Id>`
QuorumPacket.`getAuthinfo()`
Method parameters in org.apache.zookeeper.server.quorum with type arguments of type Id
Modifier and Type
Method
Description
`void`
QuorumPacket.`setAuthinfo(List<Id> m_)`
Constructor parameters in org.apache.zookeeper.server.quorum with type arguments of type Id
Modifier
Constructor
Description
``
`LearnerSyncRequest(LearnerHandler fh, long sessionId, int xid, int type, RequestRecord request, List<Id> authInfo)`
``
`QuorumPacket(int type, long zxid, byte[] data, List<Id> authinfo)`

## Uses of Id in org.apache.zookeeper.server.util

Methods in org.apache.zookeeper.server.util with parameters of type Id
Modifier and Type
Method
Description
`static String`
AuthUtil.`getUser(Id id)`
Gives user name
Method parameters in org.apache.zookeeper.server.util with type arguments of type Id
Modifier and Type
Method
Description
`static List<ClientInfo>`
AuthUtil.`getClientInfos(List<Id> authInfo)`
Gets user from id to prepare ClientInfo.
`static String`
AuthUtil.`getUsers(List<Id> authInfo)`
Returns a formatted, comma-separated list of the user IDs held in `authInfo`, or `null` if no user IDs were found.